Main Page Class Hierarchy Compound List File List Compound Members File Members

# worm_exception Class Reference

`#include <worm_exceptions.h>`

Inheritance diagram for worm_exception:

List of all members.

## Public Member Functions
| worm_exception (const char *p_message)
| worm_exception (const std::string &p_message)
worm_exception | operator= (worm_exception &p_other)
worm_exception | operator= (worm_exception *p_other)
worm_exception | operator+= (const int p_value)
worm_exception | operator+= (const long p_value)
worm_exception | operator+= (const double p_value)
worm_exception | operator+= (const char *p_text)
worm_exception | operator+= (const std::string p_text)
const char * | what () const
std::string | what_string () const
## Protected Attributes
std::string | What

## Constructor & Destructor Documentation

worm_exception::worm_exception | ( | const char * | p_message | ) | `[inline]`

| Definition at line 18 of file worm_exceptions.h.

worm_exception::worm_exception | ( | const std::string & | p_message | ) | `[inline]`

| Definition at line 30 of file worm_exceptions.h.

## Member Function Documentation

worm_exception worm_exception::operator+= | ( | const std::string | p_text | ) | `[inline]`

| Definition at line 77 of file worm_exceptions.h.

worm_exception worm_exception::operator+= | ( | const char * | p_text | ) | `[inline]`

| Definition at line 68 of file worm_exceptions.h.

worm_exception worm_exception::operator+= | ( | const double | p_value | ) | `[inline]`

| Definition at line 60 of file worm_exceptions.h.

worm_exception worm_exception::operator+= | ( | const long | p_value | ) | `[inline]`

| Definition at line 52 of file worm_exceptions.h.

worm_exception worm_exception::operator+= | ( | const int | p_value | ) | `[inline]`

| Definition at line 44 of file worm_exceptions.h.

worm_exception worm_exception::operator= | ( | worm_exception * | p_other | ) | `[inline]`

| Definition at line 39 of file worm_exceptions.h. References what().

worm_exception worm_exception::operator= | ( | worm_exception & | p_other | ) | `[inline]`

| Definition at line 34 of file worm_exceptions.h. References what().

const char* worm_exception::what | ( |  | ) | const`[inline]`

| Definition at line 82 of file worm_exceptions.h. Referenced by operator=().

std::string worm_exception::what_string | ( |  | ) | const`[inline]`

| Definition at line 83 of file worm_exceptions.h.

## Member Data Documentation

std::string worm_exception::What`[protected]`

| Definition at line 16 of file worm_exceptions.h.

The documentation for this class was generated from the following file:

- worm_exceptions.h